EGG-MAKE-TUBE(1)

NAME
egg-make-tube - generate a tube or sphere from geometry in an .egg file

SYNOPSIS
egg-make-tube [opts] output.egg
egg-make-tube [opts] -o output.egg
egg-make-tube [opts] >output.egg

DESCRIPTION
egg-make-tube generates an egg file representing a "tube" model, a cylinder capped on both ends by hemispheres. This is similar in shape to the CollisionTube object within Panda.

This program can also generate spheres if you omit -b; in this case, you are generating a degenerate tube of length 0.

OPTIONS

-a x,y,z
    Specify the first endpoint of the tube.

-b x,y,z
    Specify the second endpoint of the tube.

-r radius
    Specify the radius of the tube. The tube will extend beyond the endpoints in each direction by the amount of radius.

-slices count
    Specify the number of slices appearing radially around the tube.

-crings count
    Specify the number of rings appearing in each endcap of the tube.

-trings count
    Specify the number of rings appearing in the cylindrical body of the tube.

-no Strip all normals.

-np Strip existing normals and redefine polygon normals.

-nv threshold
    Strip existing normals and redefine vertex normals. Consider an edge between adjacent polygons to be smooth if the angle between them is less than threshold degrees.

-nn Preserve normals exactly as they are. This is the default.

-tbn name
    Compute tangent and binormal for the named texture coordinate set(s). The name may include wildcard characters such as * and ?. The normal must already exist or have been computed via one of the above options. The tangent and binormal are used to implement bump mapping and related texture-based lighting effects. This option may be repeated as necessary to name multiple texture coordinate sets.

-tbnall
    Compute tangent and binormal for all texture coordinate sets. This is equivalent to -tbn "*".

-tbnauto
    Compute tangent and binormal for all normal maps.

-TS sx[,sy,sz]
    Scale the model uniformly by the given factor (if only one number is given) or in each axis by sx, sy, sz (if three numbers are given).

-TR x,y,z
    Rotate the model x degrees about the x axis, then y degrees about the y axis, and then z degrees about the z axis.

-TA angle,x,y,z
    Rotate the model angle degrees counterclockwise about the given axis.

-TT x,y,z
    Translate the model by the indicated amount. All transformation options (-TS, -TR, -TA, -TT) are cumulative and are applied in the order they are encountered on the command line.

-o filename
    Specify the filename to which the resulting egg file will be written. If this option is omitted, the last parameter name is taken to be the name of the output file, or standard output is used if there are no other parameters.

-cs coordinate-system
    Specify the coordinate system of the resulting egg file. This may be one of 'y-up', 'z-up', 'y-up-left', or 'z-up-left'. The default is y-up.

-h  Display this help page.